## net.sf.statsvn.input
Class SvnLogfileParser.DiffTask

    java.lang.Object
      net.sf.statsvn.input.SvnLogfileParser.DiffTask

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SvnLogfileParser.PerRevDiffTask

Enclosing class:
  SvnLogfileParser

    protected class SvnLogfileParser.DiffTask

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`protected` `SvnLogfileParser.DiffTask()`
`protected` `SvnLogfileParser.DiffTask(java.lang.String newRevision)`
`` `SvnLogfileParser.DiffTask(java.lang.String fileName, java.lang.String newRevision, java.lang.String oldRevision, FileBuilder fileBuilder)`

Method Summary
`protected FileBuilder` `getFileBuilder()`
`java.lang.String` `getFileName()`
`java.lang.String` `getNewRevision()`
`java.lang.String` `getOldRevision()`
`protected void` `performIntermediarySave(long end)`
`void` `run()`
`protected void` `setFileBuilder(FileBuilder fileBuilder)`
`void` `setFileName(java.lang.String fileName)`
`void` `setNewRevision(java.lang.String newRevision)`
`void` `setOldRevision(java.lang.String oldRevision)`
`protected void` `trackBinaryFile()`
`protected void` `trackFileDiff(int[] lineDiff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnLogfileParser.DiffTask

    protected SvnLogfileParser.DiffTask()

### SvnLogfileParser.DiffTask

    protected SvnLogfileParser.DiffTask(java.lang.String newRevision)

### SvnLogfileParser.DiffTask

    public SvnLogfileParser.DiffTask(java.lang.String fileName,
                                     java.lang.String newRevision,
                                     java.lang.String oldRevision,
                                     FileBuilder fileBuilder)

Method Detail

### getFileName

    public java.lang.String getFileName()

  Returns:
    the fileName

### setFileName

    public void setFileName(java.lang.String fileName)

  Parameters:
    `fileName` - the fileName to set

### getNewRevision

    public java.lang.String getNewRevision()

  Returns:
    the newRevision

### setNewRevision

    public void setNewRevision(java.lang.String newRevision)

  Parameters:
    `newRevision` - the newRevision to set

### getOldRevision

    public java.lang.String getOldRevision()

  Returns:
    the oldRevision

### setOldRevision

    public void setOldRevision(java.lang.String oldRevision)

  Parameters:
    `oldRevision` - the oldRevision to set

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### trackBinaryFile

    protected void trackBinaryFile()

### trackFileDiff

    protected void trackFileDiff(int[] lineDiff)

### performIntermediarySave

    protected void performIntermediarySave(long end)

### getFileBuilder

    protected FileBuilder getFileBuilder()

### setFileBuilder

    protected void setFileBuilder(FileBuilder fileBuilder)